import {GetData, PostData} from '../helpers';

import url from '../url';

export const getListCategoryProduct = async (body) =>
  GetData(url.urlGetCategoryNew, body)
    .then((res) => res)
    .catch((err) => err);

export const getTransactionListByCategory = async (body) =>
  GetData(url.urlGetTransactionListByCategory, body)
    .then((res) => res)
    .catch((err) => err);

export const getContractDescription = async (id) =>
  GetData(`${url.urlGetContractDescription}${id}`)
    .then((res) => res)
    .catch((err) => err);

export const getProfitLost = async (body) =>
  PostData(url.urlProfitLost, body)
    .then((res) => res)
    .catch((err) => err);

export const getListExchangeRate = async (body) =>
  GetData(url.urlGetListExchangeRate, body)
    .then((res) => res)
    .catch((err) => err);

export const getUnitList = async (body) =>
  GetData(url.urlGetUnitList, body)
    .then((res) => res)
    .catch((err) => err);
